INST-QUAL-FILTER(1)

NAME
inst-qual-filter.pl - Discard low-quality nt seqs in FASTA files (optimized)

VERSION
version 0.212670

USAGE
    inst-qual-filter.pl <infiles> --out=<suffix> [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input FASTA files [repeatable argument].

--out[-suffix]=<suffix>
    Suffix to append to infile basenames for deriving outfile names.

OPTIONAL ARGUMENTS

--filter-out=<file>
    Path to FASTA outfile collecting unpure sequences that have been filtered out [default: none].

--min[-purity]=<n>
    Fraction (between 0 and 1) of pure DNA character states (ACGT) required by a sequence for it to be retained [default: 1]. All other states (including ambiguous, missing and gap-like character states) are considered as non-pure.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Valerian LUPO <valerian.lupo@doct.uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.